@use 'global.scss';
@use 'mixins.scss';
@use 'page.scss';

.header {
  &__title {
    @include mixins.heading-1();
  }

  &__text {
    font-family: 'Roboto Mono';
    margin: 2rem 0;
  }
}

/* MAIN */
.main {
  &__title {
    @include mixins.heading-2();
  }

  &__membres {
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;

    @include mixins.laptop() {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }
  }
}

/* MEMBRE */
.membre {
  border: global.$pink 1px solid;
  @include mixins.glowing(global.$pink);
  transform-style: preserve-3d;

  &__link {
    width: 100%;
    height: 100%;
    display: block;
    padding: 1.5rem;
    transform-style: preserve-3d;
  }

  &__identity {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
    transform-style: preserve-3d;
    transform: translateZ(2rem);
  }

  &__image {
    flex: 0 0 4rem;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    border: 1px solid white;
    @include mixins.glowing(white);
  }

  &__name {
    font-size: 1.2rem;
    margin-bottom: .2rem;
  }

  &__post {
    color: global.$pink;
  }

  &__description {
    transform-style: preserve-3d;
    transform: translateZ(1rem);
  }

  &:hover {
    border: global.$blue 1px solid;
    @include mixins.glowing(global.$blue);

    .membre__post {
      color: global.$blue;
    }
  }
}
